## org.apache.mahout.common.iterator
Class StableFixedSizeSamplingIterator<T>

    java.lang.Object
      org.apache.mahout.common.iterator.DelegatingIterator<T>
          org.apache.mahout.common.iterator.StableFixedSizeSamplingIterator<T>

All Implemented Interfaces:
  java.util.Iterator<T>

    public class StableFixedSizeSamplingIterator<T>

extends DelegatingIterator<T>

Sample a fixed number of elements from an Iterator. The results will appear in the original order at some cost in time and memory relative to a FixedSizeSampler.

Constructor Summary
`StableFixedSizeSamplingIterator(int size, java.util.Iterator<T> source)`

Method Summary

Methods inherited from class org.apache.mahout.common.iterator.DelegatingIterator
`hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StableFixedSizeSamplingIterator

    public StableFixedSizeSamplingIterator(int size,
                                           java.util.Iterator<T> source)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.